Subject: [Shop-talk] Mounting a mailbox to the side of a round post?

From: Jim Franklin <[email-masked]>
Date: Fri, 10 Apr 2026 07:34:35 -0400

My carrier has requested I move my mailbox to a place he doesn't have to hike to and I would like to help him out. I have a survey post that's very much like a chain link fence post with the cap removed. It's on the property line so I don't want to top-mount a mailbox. I haven't found anything in my searches that will let me do this without hacking it so much it looks super sketchy. Are there any mailboxes, or adapters, that will let me do this? I'm thinking a standard rural mailbox that sits on a plate, and the plate has a recess to slip over the top of the post, just offset so the mailbox is on my side. I could imagine there's a 2-mailbox plate that centers itself over the post, and I'd just cut off one of the plates. 

thanks,
jim
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive